A dialog that uses the adapter pattern takes the adapter as argument. Other than that it's the same as normal dialog parameters The adapter type is a generic, so that the specific dialog can reference the specific adapter class

param ctor

  constructor for reflection

param id

  ID for dom placement

param tracker
param completeNotifier

  UI component to notify when dialog is complete

param startProise

  UI component that notifies us when to display

param view
param eventSource

  where to register for KB and mouse events

param undoBuffer

  where to undo things we change

param adapter

  an adapter which has getters and setters for all of the dialog components. The adapter should read the values from the actual score, and update the score with the component values.

### Type Parameters

- #### T extends SuiComponentAdapter

### Hierarchy

- SuiDialogAdapterParams

Generated using TypeDoc